/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\addons\LargeQuiltedRug.cs
Lines of code: 548
***********************************************************/


using System;
using Server.Gumps;
using Server.Network;

namespace Server.Items
{
	public enum LargeQuiltedRugType
	{
		BlueGoldRug,
		BlueRedRug,
		BlueRug,
		BrownRug,
		GoldRug,
		BlueOrangeRug,
		RedRug
	}
	
	public class LargeQuiltedRug : AddonComponent
	{
		private int m_LabelNumber;
		[CommandProperty( AccessLevel.GameMaster )]
		public int Number
		{
			get{ return m_LabelNumber; }
			set{ m_LabelNumber = value; InvalidateProperties(); }
		}

		public override int LabelNumber{ get{ return m_LabelNumber; } }

		[Constructable]
		public LargeQuiltedRug( int itemID, int labelNumber ) : base( itemID )
		{
			m_LabelNumber = labelNumber;
		}

		public LargeQuiltedRug( Serial serial ) : base( serial )
		{
		}
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
			
			writer.Write( (int) m_LabelNumber );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
			
			m_LabelNumber = reader.ReadInt();
		}

	}
	public class LargeQuiltedRugAddon : BaseAddon
	{
		public override BaseAddonDeed Deed{ get{ return new LargeQuiltedRugDeed(); } }

		[Constructable]
		public LargeQuiltedRugAddon( LargeQuiltedRugType quiltedrugtype )
		{
			switch ( quiltedrugtype )
			{
				case LargeQuiltedRugType.BlueGoldRug:
				{
					AddComponent( new AddonComponent( 2771 ), -3, -3, 0 );
					AddComponent( new AddonComponent( 2775 ), 0, -3, 0 );
					AddComponent( new AddonComponent( 2773 ), 3, -3, 0 );
					AddComponent( new AddonComponent( 2774 ), -3, 0, 0 );
					AddComponent( new AddonComponent( 2776 ), 3, 0, 0 );
					AddComponent( new AddonComponent( 2772 ), -3, 3, 0 );
					AddComponent( new AddonComponent( 2777 ), 0, 3, 0 );
					AddComponent( new AddonComponent( 2770 ), 3, 3, 0 );
			
					AddComponent( new AddonComponent( 2774 ), -3, -2, 0 );
					AddComponent( new AddonComponent( 2776 ), 3, -2, 0 );
					AddComponent( new AddonComponent( 2774 ), -3, 2, 0 );
					AddComponent( new AddonComponent( 2776 ), 3, 2, 0 );
					AddComponent( new AddonComponent( 2774 ), -3, -1, 0 );
					AddComponent( new AddonComponent( 2776 ), 3, -1, 0 );
					AddComponent( new AddonComponent( 2774 ), -3, 1, 0 );
					AddComponent( new AddonComponent( 2776 ), 3, 1, 0 );
			
					AddComponent( new AddonComponent( 2775 ), -2, -3, 0 );
					AddComponent( new AddonComponent( 2775 ), 2, -3, 0 );
					AddComponent( new AddonComponent( 2777 ), -2, 3, 0 );
					AddComponent( new AddonComponent( 2777 ), 2, 3, 0 );
					AddComponent( new AddonComponent( 2775 ), -1, -3, 0 );
					AddComponent( new AddonComponent( 2775 ), 1, -3, 0 );
					AddComponent( new AddonComponent( 2777 ), -1, 3, 0 );
					AddComponent( new AddonComponent( 2777 ), 1, 3, 0 );
			
					AddComponent( new AddonComponent( 2769 ), -2, -2, 0 );
					AddComponent( new AddonComponent( 2769 ), 0, -2, 0 );
					AddComponent( new AddonComponent( 2769 ), 2, -2, 0 );
					AddComponent( new AddonComponent( 2769 ), -2, 0, 0 );
					AddComponent( new AddonComponent( 2769 ), 2, 0, 0 );
					AddComponent( new AddonComponent( 2769 ), -2, 2, 0 );
					AddComponent( new AddonComponent( 2769 ), 0, 2, 0 );
					AddComponent( new AddonComponent( 2769 ), 2, 2, 0 );
					AddComponent( new AddonComponent( 2769 ), -2, -1, 0 );
					AddComponent( new AddonComponent( 2769 ), 2, -1, 0 );
					AddComponent( new AddonComponent( 2769 ), -2, 1, 0 );
					AddComponent( new AddonComponent( 2769 ), 2, 1, 0 );
					AddComponent( new AddonComponent( 2769 ), -1, -2, 0 );
					AddComponent( new AddonComponent( 2769 ), 1, -2, 0 );
					AddComponent( new AddonComponent( 2769 ), -1, 2, 0 );
					AddComponent( new AddonComponent( 2769 ), 1, 2, 0 );
					AddComponent( new AddonComponent( 2769 ), -1, -1, 0 );
					AddComponent( new AddonComponent( 2769 ), 0, -1, 0 );
					AddComponent( new AddonComponent( 2769 ), 1, -1, 0 );
					AddComponent( new AddonComponent( 2769 ), -1, 0, 0 );
					AddComponent( new AddonComponent( 2769 ), 0, 0, 0 );
					AddComponent( new AddonComponent( 2769 ), 1, 0, 0 );
					AddComponent( new AddonComponent( 2769 ), -1, 1, 0 );
					AddComponent( new AddonComponent( 2769 ), 0, 1, 0 );
					AddComponent( new AddonComponent( 2769 ), 1, 1, 0 );	
					
					break;
				}
				case LargeQuiltedRugType.BlueRedRug:
				{
					AddComponent( new AddonComponent( 2755 ), -3, -3, 0 );
					AddComponent( new AddonComponent( 2807 ), 0, -3, 0 );
					AddComponent( new AddonComponent( 2757 ), 3, -3, 0 );
					AddComponent( new AddonComponent( 2806 ), -3, 0, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, 0, 0 );
					AddComponent( new AddonComponent( 2756 ), -3, 3, 0 );
					AddComponent( new AddonComponent( 2809 ), 0, 3, 0 );
					AddComponent( new AddonComponent( 2754 ), 3, 3, 0 );
			
					AddComponent( new AddonComponent( 2806 ), -3, -2, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, -2, 0 );
					AddComponent( new AddonComponent( 2806 ), -3, 2, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, 2, 0 );
					AddComponent( new AddonComponent( 2806 ), -3, -1, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, -1, 0 );
					AddComponent( new AddonComponent( 2806 ), -3, 1, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, 1, 0 );
			
					AddComponent( new AddonComponent( 2807 ), -2, -3, 0 );
					AddComponent( new AddonComponent( 2807 ), 2, -3, 0 );
					AddComponent( new AddonComponent( 2809 ), -2, 3, 0 );
					AddComponent( new AddonComponent( 2809 ), 2, 3, 0 );
					AddComponent( new AddonComponent( 2807 ), -1, -3, 0 );
					AddComponent( new AddonComponent( 2807 ), 1, -3, 0 );
					AddComponent( new AddonComponent( 2809 ), -1, 3, 0 );
					AddComponent( new AddonComponent( 2809 ), 1, 3, 0 );
			
					AddComponent( new AddonComponent( 2810 ), -2, -2, 0 );
					AddComponent( new AddonComponent( 2810 ), 0, -2, 0 );
					AddComponent( new AddonComponent( 2810 ), 2, -2, 0 );
					AddComponent( new AddonComponent( 2810 ), -2, 0, 0 );
					AddComponent( new AddonComponent( 2810 ), 2, 0, 0 );
					AddComponent( new AddonComponent( 2810 ), -2, 2, 0 );
					AddComponent( new AddonComponent( 2810 ), 0, 2, 0 );
					AddComponent( new AddonComponent( 2810 ), 2, 2, 0 );
					AddComponent( new AddonComponent( 2810 ), -2, -1, 0 );
					AddComponent( new AddonComponent( 2810 ), 2, -1, 0 );
					AddComponent( new AddonComponent( 2810 ), -2, 1, 0 );
					AddComponent( new AddonComponent( 2810 ), 2, 1, 0 );
					AddComponent( new AddonComponent( 2810 ), -1, -2, 0 );
					AddComponent( new AddonComponent( 2810 ), 1, -2, 0 );
					AddComponent( new AddonComponent( 2810 ), -1, 2, 0 );
					AddComponent( new AddonComponent( 2810 ), 1, 2, 0 );
					AddComponent( new AddonComponent( 2810 ), -1, -1, 0 );
					AddComponent( new AddonComponent( 2810 ), 0, -1, 0 );
					AddComponent( new AddonComponent( 2810 ), 1, -1, 0 );
					AddComponent( new AddonComponent( 2810 ), -1, 0, 0 );
					AddComponent( new AddonComponent( 2810 ), 0, 0, 0 );
					AddComponent( new AddonComponent( 2810 ), 1, 0, 0 );
					AddComponent( new AddonComponent( 2810 ), -1, 1, 0 );
					AddComponent( new AddonComponent( 2810 ), 0, 1, 0 );
					AddComponent( new AddonComponent( 2810 ), 1, 1, 0 );	
					break;
				}
				case LargeQuiltedRugType.BlueRug:
				{
					AddComponent( new AddonComponent( 2755 ), -3, -3, 0 );
					AddComponent( new AddonComponent( 2807 ), 0, -3, 0 );
					AddComponent( new AddonComponent( 2757 ), 3, -3, 0 );
					AddComponent( new AddonComponent( 2806 ), -3, 0, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, 0, 0 );
					AddComponent( new AddonComponent( 2756 ), -3, 3, 0 );
					AddComponent( new AddonComponent( 2809 ), 0, 3, 0 );
					AddComponent( new AddonComponent( 2754 ), 3, 3, 0 );
			
					AddComponent( new AddonComponent( 2806 ), -3, -2, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, -2, 0 );
					AddComponent( new AddonComponent( 2806 ), -3, 2, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, 2, 0 );
					AddComponent( new AddonComponent( 2806 ), -3, -1, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, -1, 0 );
					AddComponent( new AddonComponent( 2806 ), -3, 1, 0 );
					AddComponent( new AddonComponent( 2808 ), 3, 1, 0 );
			
					AddComponent( new AddonComponent( 2807 ), -2, -3, 0 );
					AddComponent( new AddonComponent( 2807 ), 2, -3, 0 );
					AddComponent( new AddonComponent( 2809 ), -2, 3, 0 );
					AddComponent( new AddonComponent( 2809 ), 2, 3, 0 );
					AddComponent( new AddonComponent( 2807 ), -1, -3, 0 );
					AddComponent( new AddonComponent( 2807 ), 1, -3, 0 );
					AddComponent( new AddonComponent( 2809 ), -1, 3, 0 );
					AddComponent( new AddonComponent( 2809 ), 1, 3, 0 );
			
					AddComponent( new AddonComponent( 2751 ), -2, -2, 0 );
					AddComponent( new AddonComponent( 2751 ), 0, -2, 0 );
					AddComponent( new AddonComponent( 2751 ), 2, -2, 0 );
					AddComponent( new AddonComponent( 2751 ), -2, 0, 0 );
					AddComponent( new AddonComponent( 2751 ), 2, 0, 0 );
					AddComponent( new AddonComponent( 2751 ), -2, 2, 0 );
					AddComponent( new AddonComponent( 2751 ), 0, 2, 0 );
					AddComponent( new AddonComponent( 2751 ), 2, 2, 0 );
					AddComponent( new AddonComponent( 2751 ), -2, -1, 0 );
					AddComponent( new AddonComponent( 2751 ), 2, -1, 0 );
					AddComponent( new AddonComponent( 2751 ), -2, 1, 0 );
					AddComponent( new AddonComponent( 2751 ), 2, 1, 0 );
					AddComponent( new AddonComponent( 2751 ), -1, -2, 0 );
					AddComponent( new AddonComponent( 2751 ), 1, -2, 0 );
					AddComponent( new AddonComponent( 2751 ), -1, 2, 0 );
					AddComponent( new AddonComponent( 2751 ), 1, 2, 0 );
					AddComponent( new AddonComponent( 2751 ), -1, -1, 0 );
					AddComponent( new AddonComponent( 2751 ), 0, -1, 0 );
					AddComponent( new AddonComponent( 2751 ), 1, -1, 0 );
					AddComponent( new AddonComponent( 2751 ), -1, 0, 0 );
					AddComponent( new AddonComponent( 2751 ), 0, 0, 0 );
					AddComponent( new AddonComponent( 2751 ), 1, 0, 0 );
					AddComponent( new AddonComponent( 2751 ), -1, 1, 0 );
					AddComponent( new AddonComponent( 2751 ), 0, 1, 0 );
					AddComponent( new AddonComponent( 2751 ), 1, 1, 0 );
					break;
				}
				case LargeQuiltedRugType.BrownRug:
				{
					AddComponent( new AddonComponent( 2788 ), -3, -3, 0 );
					AddComponent( new AddonComponent( 2792 ), 0, -3, 0 );
					AddComponent( new AddonComponent( 2790 ), 3, -3, 0 );
					AddComponent( new AddonComponent( 2791 ), -3, 0, 0 );
					AddComponent( new AddonComponent( 2793 ), 3, 0, 0 );
					AddComponent( new AddonComponent( 2789 ), -3, 3, 0 );
					AddComponent( new AddonComponent( 2794 ), 0, 3, 0 );
					AddComponent( new AddonComponent( 2787 ), 3, 3, 0 );
			
					AddComponent( new AddonComponent( 2791 ), -3, -2, 0 );
					AddComponent( new AddonComponent( 2793 ), 3, -2, 0 );
					AddComponent( new AddonComponent( 2791 ), -3, 2, 0 );
					AddComponent( new AddonComponent( 2793 ), 3, 2, 0 );
					AddComponent( new AddonComponent( 2791 ), -3, -1, 0 );
					AddComponent( new AddonComponent( 2793 ), 3, -1, 0 );
					AddComponent( new AddonComponent( 2791 ), -3, 1, 0 );
					AddComponent( new AddonComponent( 2793 ), 3, 1, 0 );
			
					AddComponent( new AddonComponent( 2792 ), -2, -3, 0 );
					AddComponent( new AddonComponent( 2792 ), 2, -3, 0 );
					AddComponent( new AddonComponent( 2794 ), -2, 3, 0 );
					AddComponent( new AddonComponent( 2794 ), 2, 3, 0 );
					AddComponent( new AddonComponent( 2792 ), -1, -3, 0 );
					AddComponent( new AddonComponent( 2792 ), 1, -3, 0 );
					AddComponent( new AddonComponent( 2794 ), -1, 3, 0 );
					AddComponent( new AddonComponent( 2794 ), 1, 3, 0 );
			
					AddComponent( new AddonComponent( 2795 ), -2, -2, 0 );
					AddComponent( new AddonComponent( 2795 ), 0, -2, 0 );
					AddComponent( new AddonComponent( 2795 ), 2, -2, 0 );
					AddComponent( new AddonComponent( 2795 ), -2, 0, 0 );
					AddComponent( new AddonComponent( 2795 ), 2, 0, 0 );
					AddComponent( new AddonComponent( 2795 ), -2, 2, 0 );
					AddComponent( new AddonComponent( 2795 ), 0, 2, 0 );
					AddComponent( new AddonComponent( 2795 ), 2, 2, 0 );
					AddComponent( new AddonComponent( 2795 ), -2, -1, 0 );
					AddComponent( new AddonComponent( 2795 ), 2, -1, 0 );
					AddComponent( new AddonComponent( 2795 ), -2, 1, 0 );
					AddComponent( new AddonComponent( 2795 ), 2, 1, 0 );
					AddComponent( new AddonComponent( 2795 ), -1, -2, 0 );
					AddComponent( new AddonComponent( 2795 ), 1, -2, 0 );
					AddComponent( new AddonComponent( 2795 ), -1, 2, 0 );
					AddComponent( new AddonComponent( 2795 ), 1, 2, 0 );
					AddComponent( new AddonComponent( 2795 ), -1, -1, 0 );
					AddComponent( new AddonComponent( 2795 ), 0, -1, 0 );
					AddComponent( new AddonComponent( 2795 ), 1, -1, 0 );
					AddComponent( new AddonComponent( 2795 ), -1, 0, 0 );
					AddComponent( new AddonComponent( 2795 ), 0, 0, 0 );
					AddComponent( new AddonComponent( 2795 ), 1, 0, 0 );
					AddComponent( new AddonComponent( 2795 ), -1, 1, 0 );
					AddComponent( new AddonComponent( 2795 ), 0, 1, 0 );
					AddComponent( new AddonComponent( 2795 ), 1, 1, 0 );	
					break;
				}
				case LargeQuiltedRugType.GoldRug:
				{
					AddComponent( new AddonComponent( 2780 ), -3, -3, 0 );
					AddComponent( new AddonComponent( 2784 ), 0, -3, 0 );
					AddComponent( new AddonComponent( 2782 ), 3, -3, 0 );
					AddComponent( new AddonComponent( 2783 ), -3, 0, 0 );
					AddComponent( new AddonComponent( 2785 ), 3, 0, 0 );
					AddComponent( new AddonComponent( 2781 ), -3, 3, 0 );
					AddComponent( new AddonComponent( 2786 ), 0, 3, 0 );
					AddComponent( new AddonComponent( 2779 ), 3, 3, 0 );
			
					AddComponent( new AddonComponent( 2783 ), -3, -2, 0 );
					AddComponent( new AddonComponent( 2785 ), 3, -2, 0 );
					AddComponent( new AddonComponent( 2783 ), -3, 2, 0 );
					AddComponent( new AddonComponent( 2785 ), 3, 2, 0 );
					AddComponent( new AddonComponent( 2783 ), -3, -1, 0 );
					AddComponent( new AddonComponent( 2785 ), 3, -1, 0 );
					AddComponent( new AddonComponent( 2783 ), -3, 1, 0 );
					AddComponent( new AddonComponent( 2785 ), 3, 1, 0 );
			
					AddComponent( new AddonComponent( 2784 ), -2, -3, 0 );
					AddComponent( new AddonComponent( 2784 ), 2, -3, 0 );
					AddComponent( new AddonComponent( 2786 ), -2, 3, 0 );
					AddComponent( new AddonComponent( 2786 ), 2, 3, 0 );
					AddComponent( new AddonComponent( 2784 ), -1, -3, 0 );
					AddComponent( new AddonComponent( 2784 ), 1, -3, 0 );
					AddComponent( new AddonComponent( 2786 ), -1, 3, 0 );
					AddComponent( new AddonComponent( 2786 ), 1, 3, 0 );
			
					AddComponent( new AddonComponent( 2778 ), -2, -2, 0 );
					AddComponent( new AddonComponent( 2778 ), 0, -2, 0 );
					AddComponent( new AddonComponent( 2778 ), 2, -2, 0 );
					AddComponent( new AddonComponent( 2778 ), -2, 0, 0 );
					AddComponent( new AddonComponent( 2778 ), 2, 0, 0 );
					AddComponent( new AddonComponent( 2778 ), -2, 2, 0 );
					AddComponent( new AddonComponent( 2778 ), 0, 2, 0 );
					AddComponent( new AddonComponent( 2778 ), 2, 2, 0 );
					AddComponent( new AddonComponent( 2778 ), -2, -1, 0 );
					AddComponent( new AddonComponent( 2778 ), 2, -1, 0 );
					AddComponent( new AddonComponent( 2778 ), -2, 1, 0 );
					AddComponent( new AddonComponent( 2778 ), 2, 1, 0 );
					AddComponent( new AddonComponent( 2778 ), -1, -2, 0 );
					AddComponent( new AddonComponent( 2778 ), 1, -2, 0 );
					AddComponent( new AddonComponent( 2778 ), -1, 2, 0 );
					AddComponent( new AddonComponent( 2778 ), 1, 2, 0 );
					AddComponent( new AddonComponent( 2778 ), -1, -1, 0 );
					AddComponent( new AddonComponent( 2778 ), 0, -1, 0 );
					AddComponent( new AddonComponent( 2778 ), 1, -1, 0 );
					AddComponent( new AddonComponent( 2778 ), -1, 0, 0 );
					AddComponent( new AddonComponent( 2778 ), 0, 0, 0 );
					AddComponent( new AddonComponent( 2778 ), 1, 0, 0 );
					AddComponent( new AddonComponent( 2778 ), -1, 1, 0 );
					AddComponent( new AddonComponent( 2778 ), 0, 1, 0 );
					AddComponent( new AddonComponent( 2778 ), 1, 1, 0 );
					break;
				}
				case LargeQuiltedRugType.BlueOrangeRug:
				{
					AddComponent( new AddonComponent( 2799 ), -3, -3, 0 );
					AddComponent( new AddonComponent( 2803 ), 0, -3, 0 );
					AddComponent( new AddonComponent( 2801 ), 3, -3, 0 );
					AddComponent( new AddonComponent( 2802 ), -3, 0, 0 );
					AddComponent( new AddonComponent( 2804 ), 3, 0, 0 );
					AddComponent( new AddonComponent( 2800 ), -3, 3, 0 );
					AddComponent( new AddonComponent( 2805 ), 0, 3, 0 );
					AddComponent( new AddonComponent( 2798 ), 3, 3, 0 );
			
					AddComponent( new AddonComponent( 2802 ), -3, -2, 0 );
					AddComponent( new AddonComponent( 2804 ), 3, -2, 0 );
					AddComponent( new AddonComponent( 2802 ), -3, 2, 0 );
					AddComponent( new AddonComponent( 2804 ), 3, 2, 0 );
					AddComponent( new AddonComponent( 2802 ), -3, -1, 0 );
					AddComponent( new AddonComponent( 2804 ), 3, -1, 0 );
					AddComponent( new AddonComponent( 2802 ), -3, 1, 0 );
					AddComponent( new AddonComponent( 2804 ), 3, 1, 0 );
			
					AddComponent( new AddonComponent( 2803 ), -2, -3, 0 );
					AddComponent( new AddonComponent( 2803 ), 2, -3, 0 );
					AddComponent( new AddonComponent( 2805 ), -2, 3, 0 );
					AddComponent( new AddonComponent( 2805 ), 2, 3, 0 );
					AddComponent( new AddonComponent( 2803 ), -1, -3, 0 );
					AddComponent( new AddonComponent( 2803 ), 1, -3, 0 );
					AddComponent( new AddonComponent( 2805 ), -1, 3, 0 );
					AddComponent( new AddonComponent( 2805 ), 1, 3, 0 );
			
					AddComponent( new AddonComponent( 2796 ), -2, -2, 0 );
					AddComponent( new AddonComponent( 2796 ), 0, -2, 0 );
					AddComponent( new AddonComponent( 2796 ), 2, -2, 0 );
					AddComponent( new AddonComponent( 2796 ), -2, 0, 0 );
					AddComponent( new AddonComponent( 2796 ), 2, 0, 0 );
					AddComponent( new AddonComponent( 2796 ), -2, 2, 0 );
					AddComponent( new AddonComponent( 2796 ), 0, 2, 0 );
					AddComponent( new AddonComponent( 2796 ), 2, 2, 0 );
					AddComponent( new AddonComponent( 2796 ), -2, -1, 0 );
					AddComponent( new AddonComponent( 2796 ), 2, -1, 0 );
					AddComponent( new AddonComponent( 2796 ), -2, 1, 0 );
					AddComponent( new AddonComponent( 2796 ), 2, 1, 0 );
					AddComponent( new AddonComponent( 2796 ), -1, -2, 0 );
					AddComponent( new AddonComponent( 2796 ), 1, -2, 0 );
					AddComponent( new AddonComponent( 2796 ), -1, 2, 0 );
					AddComponent( new AddonComponent( 2796 ), 1, 2, 0 );
					AddComponent( new AddonComponent( 2796 ), -1, -1, 0 );
					AddComponent( new AddonComponent( 2796 ), 0, -1, 0 );
					AddComponent( new AddonComponent( 2796 ), 1, -1, 0 );
					AddComponent( new AddonComponent( 2796 ), -1, 0, 0 );
					AddComponent( new AddonComponent( 2796 ), 0, 0, 0 );
					AddComponent( new AddonComponent( 2796 ), 1, 0, 0 );
					AddComponent( new AddonComponent( 2796 ), -1, 1, 0 );
					AddComponent( new AddonComponent( 2796 ), 0, 1, 0 );
					AddComponent( new AddonComponent( 2796 ), 1, 1, 0 );
					break;
				}
				case LargeQuiltedRugType.RedRug:
				{
					AddComponent( new AddonComponent( 2762 ), -3, -3, 0 );
					AddComponent( new AddonComponent( 2766 ), 0, -3, 0 );
					AddComponent( new AddonComponent( 2764 ), 3, -3, 0 );
					AddComponent( new AddonComponent( 2765 ), -3, 0, 0 );
					AddComponent( new AddonComponent( 2767 ), 3, 0, 0 );
					AddComponent( new AddonComponent( 2763 ), -3, 3, 0 );
					AddComponent( new AddonComponent( 2768 ), 0, 3, 0 );
					AddComponent( new AddonComponent( 2761 ), 3, 3, 0 );
			
					AddComponent( new AddonComponent( 2765 ), -3, -2, 0 );
					AddComponent( new AddonComponent( 2767 ), 3, -2, 0 );
					AddComponent( new AddonComponent( 2765 ), -3, 2, 0 );
					AddComponent( new AddonComponent( 2767 ), 3, 2, 0 );
					AddComponent( new AddonComponent( 2765 ), -3, -1, 0 );
					AddComponent( new AddonComponent( 2767 ), 3, -1, 0 );
					AddComponent( new AddonComponent( 2765 ), -3, 1, 0 );
					AddComponent( new AddonComponent( 2767 ), 3, 1, 0 );
			
					AddComponent( new AddonComponent( 2766 ), -2, -3, 0 );
					AddComponent( new AddonComponent( 2766 ), 2, -3, 0 );
					AddComponent( new AddonComponent( 2768 ), -2, 3, 0 );
					AddComponent( new AddonComponent( 2768 ), 2, 3, 0 );
					AddComponent( new AddonComponent( 2766 ), -1, -3, 0 );
					AddComponent( new AddonComponent( 2766 ), 1, -3, 0 );
					AddComponent( new AddonComponent( 2768 ), -1, 3, 0 );
					AddComponent( new AddonComponent( 2768 ), 1, 3, 0 );
			
					AddComponent( new AddonComponent( 2759 ), -2, -2, 0 );
					AddComponent( new AddonComponent( 2759 ), 0, -2, 0 );
					AddComponent( new AddonComponent( 2759 ), 2, -2, 0 );
					AddComponent( new AddonComponent( 2759 ), -2, 0, 0 );
					AddComponent( new AddonComponent( 2759 ), 2, 0, 0 );
					AddComponent( new AddonComponent( 2759 ), -2, 2, 0 );
					AddComponent( new AddonComponent( 2759 ), 0, 2, 0 );
					AddComponent( new AddonComponent( 2759 ), 2, 2, 0 );
					AddComponent( new AddonComponent( 2759 ), -2, -1, 0 );
					AddComponent( new AddonComponent( 2759 ), 2, -1, 0 );
					AddComponent( new AddonComponent( 2759 ), -2, 1, 0 );
					AddComponent( new AddonComponent( 2759 ), 2, 1, 0 );
					AddComponent( new AddonComponent( 2759 ), -1, -2, 0 );
					AddComponent( new AddonComponent( 2759 ), 1, -2, 0 );
					AddComponent( new AddonComponent( 2759 ), -1, 2, 0 );
					AddComponent( new AddonComponent( 2759 ), 1, 2, 0 );
					AddComponent( new AddonComponent( 2759 ), -1, -1, 0 );
					AddComponent( new AddonComponent( 2759 ), 0, -1, 0 );
					AddComponent( new AddonComponent( 2759 ), 1, -1, 0 );
					AddComponent( new AddonComponent( 2759 ), -1, 0, 0 );
					AddComponent( new AddonComponent( 2759 ), 0, 0, 0 );
					AddComponent( new AddonComponent( 2759 ), 1, 0, 0 );
					AddComponent( new AddonComponent( 2759 ), -1, 1, 0 );
					AddComponent( new AddonComponent( 2759 ), 0, 1, 0 );
					AddComponent( new AddonComponent( 2759 ), 1, 1, 0 );
					break;
				}
			}
		}

		public LargeQuiltedRugAddon( Serial serial ) : base( serial )
		{
		}
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class LargeQuiltedRugDeed : BaseAddonDeed
	{
		private LargeQuiltedRugType m_LargeQuiltedRugType;

		public override BaseAddon Addon{ get{ return new LargeQuiltedRugAddon( m_LargeQuiltedRugType ); } }

		[Constructable]
		public LargeQuiltedRugDeed()
		{
			Name = "A Deed For A Large Quilted Rug";
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( IsChildOf( from.Backpack ) )
			{
				from.CloseGump( typeof( InternalGump ) );
				from.SendGump( new InternalGump( this ) );
			}
			else
			{
				from.SendLocalizedMessage( 1042001 ); // That must be in your pack for you to use it.
			}
		}

		private void SendTarget( Mobile m )
		{
			base.OnDoubleClick( m );
		}

		private class InternalGump : Gump
		{
			private LargeQuiltedRugDeed m_Deed;

			public InternalGump( LargeQuiltedRugDeed deed ) : base( 150, 50 )
			{
				m_Deed = deed;

				AddBackground( 0, 0, 350, 500, 0xA28 );

				AddItem( 90, 52, 16136 );
				AddButton( 70, 35, 0x868, 0x869, 1, GumpButtonType.Reply, 0 ); // BlueGoldRug

				AddItem( 220, 52, 16137 );
				AddButton( 185, 35, 0x868, 0x869, 2, GumpButtonType.Reply, 0 ); // BlueRedRug

				AddItem( 90, 135, 16138 );
				AddButton( 70, 118, 0x868, 0x869, 3, GumpButtonType.Reply, 0 ); // BlueRug

				AddItem( 220, 135, 16141 );
				AddButton( 185, 118, 0x868, 0x869, 4, GumpButtonType.Reply, 0 ); // BrownRug

				AddItem( 90, 243, 16145 );
				AddButton( 70, 201, 0x868, 0x869, 5, GumpButtonType.Reply, 0 ); // GoldRug

				AddItem( 220, 243, 16151 );
				AddButton( 185, 201, 0x868, 0x869, 6, GumpButtonType.Reply, 0 ); // BlueOrangeRug

				AddItem( 90, 326, 16152 );
				AddButton( 70, 284, 0x868, 0x869, 7, GumpButtonType.Reply, 0 ); // RedRug
			}

			public override void OnResponse( NetState sender, RelayInfo info )
			{
				if ( m_Deed.Deleted || info.ButtonID == 0 || info.ButtonID > 10 )
					return;
				switch ( info.ButtonID )
				{
					case 1:
					{
						m_Deed.m_LargeQuiltedRugType = LargeQuiltedRugType.BlueGoldRug;
						break;
					}
					case 2:
					{
						m_Deed.m_LargeQuiltedRugType = LargeQuiltedRugType.BlueRedRug;
						break;
					}
					case 3:
					{
						m_Deed.m_LargeQuiltedRugType = LargeQuiltedRugType.BlueRug;
						break;
					}
					case 4:
					{
						m_Deed.m_LargeQuiltedRugType = LargeQuiltedRugType.BrownRug;
						break;
					}
					case 5:
					{
						m_Deed.m_LargeQuiltedRugType = LargeQuiltedRugType.GoldRug;
						break;
					}
					case 6:
					{
						m_Deed.m_LargeQuiltedRugType = LargeQuiltedRugType.BlueOrangeRug;
						break;
					}
					case 7:
					{
						m_Deed.m_LargeQuiltedRugType = LargeQuiltedRugType.RedRug;
						break;
					}
				}
				m_Deed.SendTarget( sender.Mobile );
			}
		}

		public LargeQuiltedRugDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}
